Name:                   fvwm3
Version:                1.1.0
Release:                1%{?dist}
Summary:                Highly configurable multiple virtual desktop window manager, Version 3

License:                GPLv2
URL:                    https://github.com/fvwmorg/fvwm3
Source0: https://github.com/fvwmorg/fvwm3/releases/download/%{version}/%{name}-%{version}.tar.gz
Source1: %{name}.desktop




BuildRequires:  gcc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  asciidoctor
BuildRequires:  fontconfig-devel freetype-devel fribidi-devel ncurses-devel libpng-devel readline-devel librsvg2-devel libSM-devel
BuildRequires:  libXcursor-devel libXext-devel libXft-devel libXi-devel libXpm-devel sharutils libbson-devel libevent-devel
BuildRequires:  libX11-devel libXrandr-devel libXrender-devel libXt-devel
BuildRequires:  make

Requires:       xdg-utils
Requires:       python3-pyxdg


Conflicts: fvwm


%description
Fvwm is a window manager for X11. It is designed to
minimize memory consumption, provide a 3D look to window frames,
and implement a virtual desktop.

%prep
%autosetup -p1

%build
aclocal --force
autoreconf -ivf
%configure --enable-mandoc
%make_build

%install
%make_install

# xsession
install -D -m0644 -p %{SOURCE1} \
        %{buildroot}/%{_datadir}/xsessions/%{name}.desktop

pushd %{buildroot}/%{_bindir}
ln -s fvwm3 fvwm
popd


%files
%license COPYING
%doc README.md NEWS
%{_bindir}/*
%{_libexecdir}/%{name}/
%{_datadir}/%{name}/default-config/
%{_datadir}/%{name}/perllib/
%{_datadir}/%{name}/*Fvwm*
%{_datadir}/%{name}/fvwm-menu-desktop-config.fpl
%{_datadir}/%{name}/fvwm-script-ComExample.pl
%lang(de) %{_datadir}/{%name}/locale/de/
%lang(da) %{_datadir}/{%name}/locale/da/
%lang(ar) %{_datadir}/{%name}/locale/ar/
%lang(es) %{_datadir}/{%name}/locale/es/
%lang(ru) %{_datadir}/{%name}/locale/ru/
%lang(fr) %{_datadir}/{%name}/locale/fr/
%lang(sv) %{_datadir}/{%name}/locale/sv_SE/
%lang(zh) %{_datadir}/{%name}/locale/zh_CN/
%{_mandir}/man1/*
%{_datadir}/xsessions/%{name}.desktop

%changelog
* Sat Mar 30 2024 Bill Pemberton <wfp5p@worldbroken.com> - 1.1.0-1
- update to version 1.1.0

* Sun Dec  3 2023 Bill Pemberton <wfp5p@worldbroken.com> - 1.0.9-1
- update to 1.0.9

* Mon Sep  4 2023 Bill Pemberton <wfp5p@worldbroken.com> - 1.0.8-1
- update to version 1.0.8

* Fri Aug 25 2023 Bill Pemberton <wfp5p@worldbroken.com> - 1.0.7-2
- fix garbage added to window titles

* Fri Jul  7 2023 Bill Pemberton <wfp5p@worldbroken.com> - 1.0.7-1
- update to version 1.0.7

* Sun Jan 15 2023 Bill Pemberton <wfp5p@worldbroken.com> - 1.0.6-1
- update to version 1.0.6

* Sat Oct  1 2022 Bill Pemberton <wfp5p@worldbroken.com> - 1.0.5-3
- add patch to rename stalonetrayrc

* Fri Sep 30 2022 Bill Pemberton <wfp5p@worldbroken.com> - 1.0.5-2
- rpmlint cleanup
- add lang files into their own section
- update requires tags

* Thu Sep 29 2022 Bill Pemberton <wfp5p@worldbroken.com> - 1.0.5-1
- update to version 1.0.5

* Fri Mar 25 2022 Bill Pemberton <wfp5p@worldbroken.com> - 1.0.4-5
- rebuilt for F36

* Tue Feb  1 2022 Bill Pemberton <wfp5p@worldbroken.com> - 1.0.4-4
- increase max mouse buttons

* Sun Jan  2 2022 Bill Pemberton <wfp5p@worldbroken.com> - 1.0.4-3
- add xsession file

* Fri Dec 31 2021 Bill Pemberton <wfp5p@worldbroken.com> - 1.0.4-2
- make a symlink for fvwm

* Fri Dec 31 2021 Bill Pemberton <wfp5p@worldbroken.com> - 1.0.4-1
- first try
